# IDLFileHandler

#### new IDLFileHandler()

The handler, an instance of which is created for every instance of GQLBase.
The handler manages the fetching and decoding of files bearing the IDL
schema associated with the class represented by this instance of GQLBase.

Source:
  GQLBase.js, line 434

### Classes

⎆⠀constructor

### Methods

#### ⌾⠀getFile() → {Buffer|null}

Loads the calculated file determined by the decoding of the meaning of
the Symbol returned by the SCHEMA property of the instance supplied to
the IDLFileHandler upon creation.

##### Returns:

`( Buffer | null )`

returns the Buffer containing the file base IDL
schema or null if none was found or a direct string schema is returned
by the SCHEMA property

Source:
  GQLBase.js, line 498

#### ⌾⠀getSchema() → {string|null}

If getFile() returns a Buffer, this is the string representation of the
underlying file contents. As a means of validating the contents of the
file, the string contents are parsed into an AST and back to a string.

##### Returns:

`( string | null )`

the string contents of the Buffer containing the
file based IDL schema.

Source:
  GQLBase.js, line 519

#### ⌾⠀getSyntaxTree() → {SyntaxTree|null}

If getFile() returns a Buffer, the string contents are passed to a new
instance of SyntaxTree which parses this into an AST for manipulation.

##### Returns:

`( SyntaxTree | null )`

a SyntaxTree instance constructed from the IDL
schema contents loaded from disk. Null is returned if a calculated path
cannot be found; always occurs when SCHEMA returns a string.

Source:
  GQLBase.js, line 544